# 赛题设计说明

### 题目信息：

* 题目名称：	carpet（地毯）
* 预估难度：    中等偏易

### 题目描述：

本题属于 Reverse 类型，核心考点是算法设计能力。

程序在给 64x64 出平面中不能覆盖的方格之后，做题者需要构造

1365 块 L 形地毯的放置形态和位置，以保证除了给定方格其余方格

都被完美覆盖，可以通过数学证明双向解法唯一。

如果把给定方格视为完整消息串，构造出的放置方法为摘要信息，

那么 exp 可以视为一个注册机，根据给出的不同坐标进行 Hash。



### 题目考点(至少2点)

- Linux 平台 ELF 文件的逆向分析

- 信息搜集与二进制工具的使用

- 分治算法设计与实现能力

  

### 思路简述

（1）在相应 Linux 环境下运行本地或者远程程序，得到预定的 hint

（2）将二进制 ELF 文件拉近相应工具进行反汇编，查壳、保护机制等

（3）成功分析出程序大致的逻辑和校验算法，了解利用目标

（4）设计利用的算法（分治），并使用编程实现

（5）在 pwntools 等模块下完成 OI 交互，成功 getshell



### 题目提示(至少3点)

- 运行程序后提示平面地图的大小
- 运行程序后提示地毯形状对应的编号
- 利用成功/失败后程序会进行相应反馈
- 内嵌后门函数 getshell()



### 其他补充

编译环境：
System: Ubuntu 16.04.6 LTS
gcc: 5.4.0 20160609
glibc: ldd (Ubuntu GLIBC 2.23-0ubuntu11) 2.23

测试环境：
System: Ubuntu 16.04.6 LTS
gcc: 5.4.0 20160609
glibc: ldd (Ubuntu GLIBC 2.23-0ubuntu11) 2.23