﻿# 注意事项

### 目录说明

- Writeup：赛题的详细题解
- 解题视频：赛题的解题过程视频
- 赛题说明：题目相关信息说明
- 题目环境：赛题的docker环境或附件
  - docker：docker编译环境，选手需要提交Docker File；
  - image：docker镜像，后缀统一为：`.tar`
- 题目脚本：赛题的exp和check脚本
- 题目源码：题目涉及到的源代码内容

### 注意事项

1. 题目名称不要有特殊符号，可用下划线代替空格；
2. 根据设计的赛题，自行完善所有文件夹中的信息；
3. 此文件夹下信息未完善的队伍，将扣除一定得分。

### 题目脚本要求

- 脚本的最后一行输出返回值为   (1,message)
  - 1 表示check成功，exp利用成功
  - 0 表示check失败，exp利用失败
  - Message 返回信息

- 脚本中如果需要引用其他文件，请使用绝对路径，使用os模块进行路径拼接

  base_dir = os.path.dirname(os.path.abspath(__file__))

  file_path = os.path.join(base_dir, "1.txt")

- check与exp脚本的参数统一为ip、port，如：python  exp.py 172.0.0.1 80

- Check脚本执行时间不得超过5秒，Exp脚本执行时间不得超过10秒

- exp判定：
  为了防止作弊行为，禁止直接拿flag文件做标识，可以用一些系统命令或其他方式做标识

- python环境
  check，exp 统一使用python2，并且供依赖包及版本，

### docker环境要求

- 题目中一定不要使用外链，比如web中，引用的js或者css文件
- 引用的目录或者文件要在build时候直接copy进容器，不要做文件或目录挂载
- Web题目暴露访问端口统一为80，PWN题目暴露端口统一为8888
- 题目需要安装ssh并且开放22端口，提供用户名及密码，注意用户权限配置
- 动态Flag为平台自动生成，要求Build赛题过程中统一放置在赛题环境的根目录下  /flag.txt即可，有特殊要求的flag，选手在自启动脚本中加入启动命令，将Flag放入指定位置中即可；
-（非容器类型题目）单独附件题目要求选手提供1套题目的10个附件以及对应的10个Flag文件即可；